Get job details (v1)
Returns a posting's full description by section, salary, locations, contract and employment type from its link on any of the six boards. data is null when the posting has expired or does not exist.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
url*string
The posting's link, such as a search result's url. Works with or without https://; the site is read from the link.
Length
length <= 1000curl -X GET "https://example.com/v1/stepstone/job?url=https%3A%2F%2Fwww.totaljobs.com%2Fjob%2Fdata-analyst%2Florien-resourcing-limited-job108280317" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "job_id": "108280317", "site": "totaljobs", "url": "https://www.totaljobs.com/job/data-analyst/lorien-resourcing-limited-job108280317", "title": "Data Analyst", "company": { "name": "Lorien Resourcing Limited", "id": "1203473", "url": "string", "logo_url": "string" }, "location": "London", "locations": [ { "city": "Berlin", "region": "string", "postal_code": "string", "country": "DE", "latitude": 52.523407, "longitude": 13.4114 } ], "contract_type": "Permanent contract", "work_type": "Full Time", "employment_type": [ "FULL_TIME" ], "industry": "IT, IT-Softwareentwicklung", "salary": { "label": "Up to £220 per day", "min": 52000, "max": 69000, "currency": "EUR", "period": "year", "estimated": true }, "description_html": "string", "sections": [ { "title": "Aufgaben", "html": "string" } ], "posted_at": "2026-11-04T07:51:50.473Z", "valid_through": "2026-11-11T07:51:50.473Z", "direct_apply": true, "is_offline": true }, "details": { "reason": "string", "message": "string" }}